Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrinter.PrintRange

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrinter.PrintRange

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrinter

    public static final class QPrinter.PrintRange

extends java.lang.Enum
implements QtEnumerator

Used to specify the print range selection option.

See also:
  `QAbstractPrintDialog::PrintRange` .

See Also:
  Serialized Form

Field Summary
`static QPrinter.PrintRange` | `AllPages` All pages should be printed.
`static QPrinter.PrintRange` | `PageRange` The specified page range should be printed.
`static QPrinter.PrintRange` | `Selection` Only the selection should be printed.

Method Summary
`static QPrinter.PrintRange` | `resolve(int value)` Returns the QPrinter$PrintRange constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PrintRange` | `valueOf(java.lang.String name)`
`static QPrinter.PrintRange[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AllPages

    public static final QPrinter.PrintRange AllPages

  All pages should be printed.

### Selection

    public static final QPrinter.PrintRange Selection

  Only the selection should be printed.

### PageRange

    public static final QPrinter.PrintRange PageRange

  The specified page range should be printed.

Method Detail

### values

    public static QPrinter.PrintRange[] values()

### valueOf

    public static QPrinter.PrintRange valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PrintRange resolve(int value)

  Returns the QPrinter$PrintRange constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD